#pragma once


// CCParkMaintenanceDlg 对话框

class CCParkMaintenanceDlg : public CDialog
{
	DECLARE_DYNAMIC(CCParkMaintenanceDlg)

public:
	CCParkMaintenanceDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CCParkMaintenanceDlg();

// 对话框数据
	enum { IDD = IDD_PARK_MAINTENANCE_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedParkGetversionButton();
	afx_msg void OnBnClickedParkGetnetinfoButton();
	afx_msg void OnBnClickedParkSetnetinfoButton();
	afx_msg void OnBnClickedParkRebootButton();

public:
	CString m_strUpdateBinPath;
	CString m_oDevType;
	CString m_oSoftVer;
	CString m_oDeviceNam;
	CString m_oMacAddr;
	CString m_oDevSerial;
	CString m_oIpAddr;
	CString m_oNetMask;
	int m_oDhcp;
	int m_oMtu;
	afx_msg void OnBnClickedParkBrowseButton();
	afx_msg void OnBnClickedParkUpgradeButton();
};
